package sklep;

import org.glassfish.jersey.server.ResourceConfig;
import org.springframework.context.annotation.Configuration;

import sklep.hello.Hello;
import sklep.hello.Time;
import sklep.rest.RCustomers;
import sklep.rest.RProducts;
import sklep.rest.RProductsPDF;
import sklep.rest.ext.PDFWriter;
import sklep.rest.ext.RecordNotFoundMapper;

@Configuration
public class JerseyConfig extends ResourceConfig {

	public JerseyConfig() {
		register(Hello.class);
		register(Time.class);
		register(RProducts.class);
		register(RCustomers.class);
		register(RProductsPDF.class);
		register(RecordNotFoundMapper.class);
		register(PDFWriter.class);
	}
}
